package com.jeesharp.business.modules.food.convert;

import com.jeesharp.business.modules.food.dto.FoodMealMenuItemSaveDTO;
import com.jeesharp.business.modules.food.entity.FoodMealMenuItem;
import com.jeesharp.business.modules.food.vo.FoodMealMenuItemListVO;
import com.jeesharp.business.modules.food.vo.FoodMealMenuItemQueryVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface FoodMealMenuItemConvert {

    FoodMealMenuItemConvert INSTANCE = Mappers.getMapper(FoodMealMenuItemConvert.class);

    FoodMealMenuItem toEntity(FoodMealMenuItemSaveDTO dto);

    FoodMealMenuItemListVO toListVO(FoodMealMenuItem entity);

    List<FoodMealMenuItemListVO> toListVO(List<FoodMealMenuItem> list);

    FoodMealMenuItemQueryVO toQueryVO(FoodMealMenuItem entity);
}
